Bug 789296 - [abrt] gnome-settings-daemon-3.3.4-2.fc17: Process /usr/libexec/gsd-backlight-helper was killed by signal 11 (SIGSEGV)
[abrt] gnome-settings-daemon-3.3.4-2.fc17: Process /usr/libexec/gsd-backlight...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:1a52297771b1726ca7f91e4d8b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 05:17 EST by Michal Nowak
Modified: 2013-03-07 21:13 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 21:30:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (5.13 KB, text/plain)
2012-02-10 05:18 EST, Michal Nowak
no flags Details
File: backtrace (18.13 KB, text/plain)
2012-02-10 05:18 EST, Michal Nowak
no flags Details
File: backtrace (16.33 KB, text/plain)
2012-02-20 05:46 EST, Kamil Páral
no flags Details
File: backtrace (20.65 KB, text/plain)
2012-02-22 07:56 EST, bsfmig
no flags Details
File: backtrace (16.60 KB, text/plain)
2012-02-23 05:08 EST, Kamil Páral
no flags Details
File: backtrace (16.33 KB, text/plain)
2012-02-23 18:23 EST, John Reiser
no flags Details

  None (edit)
Description Michal Nowak 2012-02-10 05:17:58 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/gsd-backlight-helper --get-max-brightness
comment:        Opened the module.
crash_function: gsd_backlight_helper_get_best_backlight
executable:     /usr/libexec/gsd-backlight-helper
kernel:         3.3.0-0.rc2.git3.2.fc17.x86_64
pid:            3402
pwd:            /home/newman
reason:         Process /usr/libexec/gsd-backlight-helper was killed by signal 11 (SIGSEGV)
time:           Fri 10 Feb 2012 11:13:14 AM CET
uid:            1000
username:       newman

backtrace:      Text file, 18569 bytes
maps:           Text file, 5251 bytes

build_ids:
:55a540de78fe85ad5377d5656f9836ca1daea2ca
:2ef4197293f5829123ce82b86930db97efe31adc
:e8bbd5a495fbf04ec01329f61b02a628f364c6a6
:f49d327b2583e9aa8cc0bec1e96df727c7e94c7f
:a6743e1474de057e6f2f6506f99e786db559c001
:8b8d50d970de438888b9f1486a1380de6e021a99
:6d3f1ed1fd821a479c23181af8622613ab4242ae
:3c2cdb7f914f203ddd3e6827115101f1769088e2
:66946d2bd676315a21024c8f708e8d1e54b3b208
:83705ec9a20619c0ee48b2b68530ff03cb60d55e
:fafc7b048ad2d10906de6d5fead18e624cb8c5bf
:7c35310fc506498c612d5d982ab03becc4b4817c

dso_list:
:/usr/lib64/libglib-2.0.so.0.3116.0 glib2-2.31.16-1.fc17.x86_64 (Fedora Project) 1328867998
:/usr/lib64/libgobject-2.0.so.0.3116.0 glib2-2.31.16-1.fc17.x86_64 (Fedora Project) 1328867998
:/usr/lib64/libgthread-2.0.so.0.3116.0 glib2-2.31.16-1.fc17.x86_64 (Fedora Project) 1328867998
:/usr/lib64/libm-2.15.so glibc-2.15-11.fc17.x86_64 (Fedora Project) 1328627794
:/usr/lib64/libc-2.15.so glibc-2.15-11.fc17.x86_64 (Fedora Project) 1328627794
:/usr/lib64/libudev.so.0.13.1 libudev-180-3.fc17.x86_64 (Fedora Project) 1328628181
:/usr/lib64/libudev.so.0.13.1 libudev-181-1.fc17.x86_64 (Fedora Project) 1328868210
:/usr/lib64/librt-2.15.so glibc-2.15-11.fc17.x86_64 (Fedora Project) 1328627794
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1328627818
:/usr/lib64/ld-2.15.so glibc-2.15-11.fc17.x86_64 (Fedora Project) 1328627794
:/usr/lib64/libgudev-1.0.so.0.1.1 libgudev1-180-3.fc17.x86_64 (Fedora Project) 1328628192
:/usr/lib64/libgudev-1.0.so.0.1.1 libgudev1-181-1.fc17.x86_64 (Fedora Project) 1328868212
:/usr/libexec/gsd-backlight-helper gnome-settings-daemon-3.3.4-2.fc17.x86_64 (Fedora Project) 1328628886
:/usr/libexec/gsd-backlight-helper gnome-settings-daemon-3.3.5-1.fc17.x86_64 (Fedora Project) 1328868261
:/usr/lib64/libpthread-2.15.so glibc-2.15-11.fc17.x86_64 (Fedora Project) 1328627794

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=assam
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-r7f4Iz
:IMSETTINGS_MODULE=none
:USER=newman
:USERNAME=newman
:MAIL=/var/spool/mail/newman
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/newman/.local/bin:/home/newman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/newman
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=779
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/newman
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=newman
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ILz8mSnzJ4,guid=15ee0020903ed90581ae1ec500000081
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/newman
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-newman-yV0UE9/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/792,unix/unix:/tmp/.ICE-unix/792
:DESKTOP_AUTOSTART_ID=109ab158559b40a59c132886570698505000000007920001

var_log_messages:
:Feb 10 11:13:14 assam kernel: [ 3218.853614] gsd-backlight-h[3402]: segfault at 8 ip 00000000004012de sp 00007fff4b9fb340 error 4 in gsd-backlight-helper[400000+2000]
:Feb 10 11:13:15 assam abrt[3405]: Saved core dump of pid 3402 (/usr/libexec/gsd-backlight-helper) to /var/spool/abrt/ccpp-2012-02-10-11:13:14-3402 (520192 bytes)
Comment 1 Michal Nowak 2012-02-10 05:18:01 EST
Created attachment 560862 [details]
File: maps
Comment 2 Michal Nowak 2012-02-10 05:18:04 EST
Created attachment 560863 [details]
File: backtrace
Comment 3 Kamil Páral 2012-02-20 05:46:55 EST
This happens when I open System Settings -> Brightness and Lock. I am inside a KVM machine.

backtrace_rating: 4
Package: gnome-settings-daemon-3.3.5-2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Kamil Páral 2012-02-20 05:46:59 EST
Created attachment 564377 [details]
File: backtrace
Comment 5 bsfmig 2012-02-22 07:55:55 EST
When turning off auto-lock.

backtrace_rating: 4
Package: gnome-settings-daemon-3.3.5-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 bsfmig 2012-02-22 07:56:03 EST
Created attachment 564946 [details]
File: backtrace
Comment 7 bsfmig 2012-02-22 07:59:31 EST
Additionally, the error was triggered within VBox 4.1.8.
Comment 8 Kamil Páral 2012-02-23 05:08:51 EST
I played with options in Gnome Control Center -> Brightness and Lock. This is a bare metal machine.

backtrace_rating: 4
Package: gnome-settings-daemon-3.3.5-2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Kamil Páral 2012-02-23 05:08:55 EST
Created attachment 565250 [details]
File: backtrace
Comment 10 John Reiser 2012-02-23 18:23:40 EST
Turn off "Lock screen when idle" in System Settings > Brightness and Lock

backtrace_rating: 4
Package: gnome-settings-daemon-3.3.5-2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 John Reiser 2012-02-23 18:23:43 EST
Created attachment 565408 [details]
File: backtrace
Comment 12 Matthias Clasen 2012-06-14 21:30:49 EDT
Fixed in the meantime

Note You need to log in before you can comment on or make changes to this bug.